DEPENDS = "enigma"
DESCRIPTION = "DEmo plugin"
MAINTAINER = "Felix Domke <tmbinc@elitedvb.net>"
LICENSE = "GPL"

# When doing a plugin, please place your sourcefiles
# somewhere and add only the url here.
# (or use CVS)
SRC_URI = "file://acinclude.m4 file://demo.cpp file://configure.ac file://Makefile.am file://demo.cfg"

PV = "1.0"
PN = "demo"
PR = "r0"

PACKAGES = "demo"

S = "${WORKDIR}/demo"

inherit autotools pkgconfig

FILES_${PN} = "/usr/lib/tuxbox/plugins/demo.so /usr/lib/tuxbox/plugins/demo.cfg"

bindir = "/usr/bin"
sbindir = "/usr/sbin"

EXTRA_OECONF = "--with-target=native "

do_configure_prepend() {
 mkdir -p m4
 install ${WORKDIR}/acinclude.m4 ${S}/
 install ${WORKDIR}/demo.cpp ${S}/
 install ${WORKDIR}/Makefile.am ${S}/
 install ${WORKDIR}/configure.ac ${S}/
 install ${WORKDIR}/demo.cfg ${S}/
}